# RuntimeException Class Reference

Inherits Exception.

Inherited by DOMException, IllegalArgumentException, and NullPointerException.

List of all members.

## Detailed Description

RuntimeException is the parent class of those exceptions that can be thrown during the normal operation of the process.

## Public Member Functions

| RuntimeException (log4cxx_status_t stat)
| RuntimeException (const LogString &msg)
| RuntimeException (const RuntimeException &msg)
RuntimeException & | operator= (const RuntimeException &src)

## Constructor & Destructor Documentation

RuntimeException | ( | log4cxx_status_t | stat | ) |

RuntimeException | ( | const LogString & | msg | ) |

RuntimeException | ( | const RuntimeException & | msg | ) |

## Member Function Documentation

RuntimeException& operator= | ( | const RuntimeException & | src | ) |

The documentation for this class was generated from the following file:

- exception.h